%global pypi_name pygame

Name:		python-pygame
Version:	2.0.0
Release:	%mkrel 1
Summary:	Python module for interfacing with the SDL multimedia library
License:	LGPLv2+
Group:		System/Libraries
URL:		http://pygame.org/
Source:		https://files.pythonhosted.org/packages/source/p/pygame/%{pypi_name}-%{version}.tar.gz
Patch0:         linking.patch
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	portmidi-devel
BuildRequires:  python3-devel
BuildRequires:	python3-numpy
BuildRequires:	python3-numpy-devel
BuildRequires:	python3-setuptools
BuildRequires:	smpeg-devel >= 0.4

%description
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install pygame if you would like to write or play SDL games written in
the python language.

%package doc
Summary:	Pygame documentation and example programs
Group:		Development/Python
BuildArch:	noarch

%description doc
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install pygame-doc if you need the API documentation and example
programs.

%package -n python3-%{pypi_name}-devel
Summary:	Pygame development headers
Group:		Development/Python
BuildArch:	noarch

%description -n python3-%{pypi_name}-devel
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install the devel package if you want to build programs with pygame.

%package -n python3-%{pypi_name}
Summary:	Python 3 module for interfacing with the SDL multimedia library
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	pygame

%description -n python3-%{pypi_name}
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install pygame if you would like to write or play SDL games written in
the python language.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

# rpmlint fixes
find examples/ -type f -print0 | xargs -0 chmod -x
find docs/ -type f -print0 | xargs -0 chmod -x

%build
%py3_build

%install
%py3_install

# Fix permissions
chmod 755 %{buildroot}%{python3_sitearch}/pygame/*.so

%files doc
%doc docs/
%doc examples/

%files -n python3-%{pypi_name}
%doc README*
%{python3_sitearch}/pygame*

%files -n python3-%{pypi_name}-devel
%{_includedir}/python%{python3_version}/pygame/


%changelog
* Tue Dec 08 2020 wally <wally> 2.0.0-1.mga8
+ Revision: 1654746
- new version 2.0.0
- switch to SDL2

* Sun Feb 16 2020 umeabot <umeabot> 1.9.4-5.mga8
+ Revision: 1531587
- Mageia 8 Mass Rebuild
+ wally <wally>
- add patch to fix linking
- drop unneeded patches

* Fri Sep 13 2019 tv <tv> 1.9.4-4.mga8
+ Revision: 1440545
- "fix" underlinking
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 1.9.4-3.mga7
+ Revision: 1350411
- Rebuild for python3 3.7

* Thu Nov 01 2018 daviddavid <daviddavid> 1.9.4-2.mga7
+ Revision: 1327141
- rebuild for fixed portmidi

* Sun Oct 07 2018 joequant <joequant> 1.9.4-1.mga7
+ Revision: 1318376
- split to python2 and python3

* Sun Sep 23 2018 umeabot <umeabot> 1.9.3-2.mga7
+ Revision: 1300561
- Mageia 7 Mass Rebuild

* Mon Mar 05 2018 tarakbumba <tarakbumba> 1.9.3-1.mga7
+ Revision: 1206823
- Updated to 1.9.3 version
- Provide Python3 package

* Fri Mar 10 2017 akien <akien> 1.9.1-16.mga6
+ Revision: 1091631
- Rebuild for v4l-utils 1.12.3

* Sun Jan 31 2016 umeabot <umeabot> 1.9.1-15.mga6
+ Revision: 929385
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9.1-14.mga5
+ Revision: 745634
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.9.1-13.mga5
+ Revision: 729455
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.9.1-12.mga5
+ Revision: 688253
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.9.1-10.mga4
+ Revision: 544082
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.9.1-9.mga4
+ Revision: 499205
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jun 03 2013 fwang <fwang> 1.9.1-8.mga4
+ Revision: 436075
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 1.9.1-7.mga3
+ Revision: 379343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 27 2012 fwang <fwang> 1.9.1-6.mga2
+ Revision: 202231
- drop req on SDL

* Thu Sep 15 2011 fwang <fwang> 1.9.1-5.mga2
+ Revision: 143782
- update v4l patch
- drop in-exists header

* Sat Feb 05 2011 ahmad <ahmad> 1.9.1-4.mga1
+ Revision: 47078
- imported package python-pygame


* Tue Feb 05 2011 Ahmad Samir <ahmadsamir3891@gmail.com> 1.9.1-4.mga1

* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 1.9.1-3mdv2011.0
+ Revision: 591968
- Rebuild

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 1.9.1-2mdv2010.1
+ Revision: 490517
- rebuild for new libjpeg

* Sun Dec 06 2009 Jérôme Brenier <incubusss@mandriva.org> 1.9.1-1mdv2010.1
+ Revision: 474028
- add 1 patch from Fedora to pass the config mecanism
  (still experimental)
- new version 1.9.1

* Sun Aug 16 2009 Götz Waschk <waschk@mandriva.org> 1.8.1-4mdv2010.0
+ Revision: 416904
- rebuild for new libjpeg

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 1.8.1-3mdv2009.1
+ Revision: 319619
- rebuild with python 2.6

* Sat Dec 13 2008 Adam Williamson <awilliamson@mandriva.org> 1.8.1-2mdv2009.1
+ Revision: 313863
- fix all the permissions in the source dir, doesn't work the other way
- finish renaming the devel package
- fix permissions on some files which broke at least childsplay, probably
  most things that use pygame
- the devel package can just be pygame-devel, it doesn't have to be some
  over-complex library-based name
- new license policy
- un-justify(?!?!?!?!) the descriptions
- various spec cleanups

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 1.8.1-1mdv2009.0
+ Revision: 280665
- Fix BR
- New version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.7.1-5mdv2009.0
+ Revision: 242365
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Apr 17 2007 Crispin Boylan <crisb@mandriva.org> 1.7.1-3mdv2008.0
+ Revision: 13683
- Add 64-bit pep353 patch


* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.7.1-2mdv2007.0
+ Revision: 88133
- Import pygame

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.7.1-2mdv2007.1
- update file list

* Sun Aug 28 2005 Michael Scherer <misc@mandriva.org> 1.7.1-1mdk
- New release 1.7.1
- rpmbuildupdateable
- rpmlint fix

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.6-4mdk
- Rebuild for new python

* Thu Feb 12 2004 Michael Scherer <misc@mandrake.org> 1.6-3mdk
- own subdir 
- provides python-pygame ( naming policy )

* Tue Dec 30 2003 Franck Villaume <fvill@freesurf.fr> 1.6-2mdk
- fix some 64bits BuildRequires
- add python-numeric BuildRequires as python-numeric-devel has no requirements

